Bug 55630 - Bug in check for checkout-into-repository
Summary: Bug in check for checkout-into-repository
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-03 05:02 UTC by Havoc Pennington
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-10 13:13:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Havoc Pennington 2001-11-03 05:02:30 UTC
If your CVSROOT is say "anoncvs@anoncvs.xfree86.org:/cvs" and your 
local directory you're trying to check out into is "/cvs/whatever", 
then CVS barfs claiming "cvs [checkout aborted]: Cannot check out files
into the repository itself", but the local dir is not the repository, it is
a local directory. Appears to be a not-smart-enough strcmp ("/cvs", "/cvs") 
check.

Comment 1 Havoc Pennington 2001-11-03 05:03:20 UTC
The extra-funny thing is that if you specify the CVSROOT with a slash on the end, 
"/cvs/" instead of "/cvs", then that tricks CVS into working properly. ;-)


Note You need to log in before you can comment on or make changes to this bug.